<!DOCTYPE html>
<html>
   <head>
       <title>Multiplication Table</title>
       <style>
               table{
             text-align: center;
             border: solid;
           }
       </style>
   </head>

   <body>
       <h1>Multiplication Table</h1>
       
       <script>
           // escreve linha de cabeçalho
           //document.write('<table class="header" id="tabela"><tr><th>x</th><th>0</th><th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th> </tr></table>')


           let value = prompt('Digite um valor para criar a tabela de multiplicação ')

           document.write('<table id="tabela"></table>')
           
           let newLineH = document.createElement('tr');
           for(let i = -1; i <= value;i++){
             let newCol = document.createElement('td');
             
             if(i === -1){
              let newText = document.createTextNode("X")
              newCol.appendChild(newText);
              newLineH.appendChild(newCol);
             }else{
              let newText = document.createTextNode(i);
              newCol.appendChild(newText);
              newLineH.appendChild(newCol);
             }
             let destination = document.getElementById('tabela');
             destination.appendChild(newLineH)
           }
           

           
          
           // TODO: escrever dois loops aninhados para escrever a saída do resto da tabela de mutiplicação
           
           for(let i = 0; i <= value;i++){
             let newLine = document.createElement('tr');
             let newCol = document.createElement('td');
             let newText = document.createTextNode(i);

             newCol.appendChild(newText);
             newLine.appendChild(newCol);

             for(let x = 0; x <= value; x++){
               let newCol1 = document.createElement('td');
               let newText1 = document.createTextNode(x * i);
               newCol1.appendChild(newText1);
               newLine.appendChild(newCol1);
             }

             let destination = document.getElementById('tabela');
             destination.appendChild(newLine)
           }


       </script>
   </body>
</html